jphase

## Class GeneratorLEcuyer

- java.lang.Object
- - jphase.GeneratorLEcuyer

-     public class GeneratorLEcuyer
      extends java.lang.Object

  This class is in charge of perform the random variate generator according the parameters provided by the used in the graphical interface
  Author:
    Andres Sarmiento Romero

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IDistribution` | `distribucion` Current distribution to be generated
    `umontreal.iro.lecuyer.randvar.RandomVariateGen` | `generador` Current random variated generator object according the actual distribution
    `DistributionManager` | `manejadorDist` Manager of the random variate generators
    `UniformManager` | `manejadorUni` Manager of the uniform random variate generators
    `int` | `n` Number of variates to generate
    `umontreal.iro.lecuyer.rng.RandomStream` | `randomStream` Current Uniform random variate generator
    `java.lang.String` | `ruta` System location to store the generated data
    `java.lang.String` | `uniforme` Name of the current Uniform random variate generator

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeneratorLEcuyer()` Constructor of the class

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IDistribution` | `darDistribucion(java.lang.String distT, java.util.ArrayList<java.lang.Double> paramatros)`
    `java.util.ArrayList<java.lang.String>` | `darDistribuciones()`
    `java.util.ArrayList<java.lang.String>` | `darGeneradoresUniformes()`
    `GenerationResult` | `darInfo()`
    `java.lang.String` | `darInfoUnif(java.lang.String evento)`
    `FitResult` | `generar()` Generates the random variates according the class atributes and returns a FitResults value
    `double[]` | `generateMoments()` Writes the moments of a distribution in a data file
    `IDistribution` | `getDistribucion()`
    `umontreal.iro.lecuyer.randvar.RandomVariateGen` | `getGenerador()`
    `int` | `getN()`
    `java.lang.String` | `getRuta()`
    `java.lang.String` | `getUniforme()`
    `java.io.PrintWriter` | `obtenerRuta(java.lang.String ruta, java.lang.String nombre)`
    `void` | `setDistribucion(IDistribution Xdistribucion)`
    `void` | `setDistribucion(java.lang.String distri, java.util.ArrayList<java.lang.Double> valores)`
    `void` | `setGenerador(umontreal.iro.lecuyer.randvar.RandomVariateGen generador)`
    `void` | `setN(int n)`
    `void` | `setNombre(java.lang.String nombre)` Sets the name of the distribution
    `void` | `setRandomStream(umontreal.iro.lecuyer.rng.RandomStream rs)`
    `void` | `setRuta(java.lang.String ruta)`
    `void` | `setUbicacion(java.lang.String ubicacion)`
    `void` | `setUniforme(java.lang.String uniforme)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### generador

          public umontreal.iro.lecuyer.randvar.RandomVariateGen generador

      Current random variated generator object according the actual distribution

    - #### randomStream

          public umontreal.iro.lecuyer.rng.RandomStream randomStream

      Current Uniform random variate generator

    - #### distribucion

          public IDistribution distribucion

      Current distribution to be generated

    - #### uniforme

          public java.lang.String uniforme

      Name of the current Uniform random variate generator

    - #### ruta

          public java.lang.String ruta

      System location to store the generated data

    - #### manejadorUni

          public UniformManager manejadorUni

      Manager of the uniform random variate generators

    - #### manejadorDist

          public DistributionManager manejadorDist

      Manager of the random variate generators

    - #### n

          public int n

      Number of variates to generate

  - ### Constructor Detail

    - #### GeneratorLEcuyer

          public GeneratorLEcuyer()

      Constructor of the class

  - ### Method Detail

    - #### generar

          public FitResult generar()
                            throws java.io.FileNotFoundException

      Generates the random variates according the class atributes and returns a FitResults value
      Throws:
        `java.io.FileNotFoundException`

    - #### getN

          public int getN()

      Returns:
        the n

    - #### setN

          public void setN(int n)

      Parameters:
        `n` - the n to set

    - #### getGenerador

          public umontreal.iro.lecuyer.randvar.RandomVariateGen getGenerador()

      Returns:
        the generator

    - #### setGenerador

          public void setGenerador(umontreal.iro.lecuyer.randvar.RandomVariateGen generador)

      Parameters:
        `generador` - the generador to set

    - #### getDistribucion

          public IDistribution getDistribucion()

      Returns:
        the distribuc iont

    - #### setDistribucion

          public void setDistribucion(IDistribution Xdistribucion)

      Parameters:
        `Xdistribucion` - the distribution to set

    - #### getUniforme

          public java.lang.String getUniforme()

      Returns:
        the uniform

    - #### setUniforme

          public void setUniforme(java.lang.String uniforme)

      Parameters:
        `uniforme` - the uniform to set

    - #### getRuta

          public java.lang.String getRuta()

      Returns:
        the ruta

    - #### setRuta

          public void setRuta(java.lang.String ruta)

      Parameters:
        `ruta` - the ruta to set

    - #### darGeneradoresUniformes

          public java.util.ArrayList<java.lang.String> darGeneradoresUniformes()

    - #### darDistribuciones

          public java.util.ArrayList<java.lang.String> darDistribuciones()

    - #### darInfoUnif

          public java.lang.String darInfoUnif(java.lang.String evento)

    - #### darDistribucion

          public IDistribution darDistribucion(java.lang.String distT,
                                      java.util.ArrayList<java.lang.Double> paramatros)

    - #### setDistribucion

          public void setDistribucion(java.lang.String distri,
                             java.util.ArrayList<java.lang.Double> valores)

    - #### setUbicacion

          public void setUbicacion(java.lang.String ubicacion)

    - #### setRandomStream

          public void setRandomStream(umontreal.iro.lecuyer.rng.RandomStream rs)

    - #### obtenerRuta

          public java.io.PrintWriter obtenerRuta(java.lang.String ruta,
                                        java.lang.String nombre)
                                          throws java.io.FileNotFoundException

      Throws:
        `java.io.FileNotFoundException`

    - #### darInfo

          public GenerationResult darInfo()

    - #### generateMoments

          public double[] generateMoments()
                                   throws java.io.FileNotFoundException

      Writes the moments of a distribution in a data file
      Throws:
        `java.io.FileNotFoundException`

    - #### setNombre

          public void setNombre(java.lang.String nombre)

      Sets the name of the distribution